/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.messaging.core.impl.postoffice;

import java.util.List;

import org.jgroups.Address;

/**
 * 
 * @author <a href="mailto:tim.fox@jboss.com">Tim Fox</a>
 * @version <tt>$Revision: $</tt>19 Jun 2007
 *
 * $Id: $
 *
 */
interface GroupListener
{
	void nodesLeft(List addresses) throws Throwable;
	
	void nodeJoined(Address address) throws Exception;
	
	byte[] getState() throws Exception;
	
	void setState(byte[] state) throws Exception;

	//tell the listener that it will begin to process the view change.
	//if the listener thinks the change cannot be made (for example 
	//shutdown has been initiated), return false. Otherwise return true.
	
	//introduced for https://jira.jboss.org/jira/browse/JBMESSAGING-1796
   boolean beginProcessView();
   
   //tell the listener that the view has been processed
   void endProcessView();
}
